/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Comparison To Prior StressExam.
 */
public enum EnumCV_ComparisonToPriorStressExam {

	//TID 3318 Comparison to Prior Stress Exam
	COMPARISION_TO_PREVIOUS_EXAMS_111424("111424"),
	PROCEDURE_REPORTED_121058("121058"),
	PROCEDURE_DATETIME_122146("122146"),
	PROCEDURE_STUDY_INSTANCE_UID_121018("121018"),
	PRIOR_REPORT_FOR_CURRENT_PATIENT_122075("122075"),
	EXERCISE_TOLERANCE_F_03D1D("F-03D1D"),
	MYOCARDIAL_PERFUSION_F_0238D("F-0238D"),
	MEASUREMENT_METHOD_G_C036("G-C036"),
	LV_WALL_MOTION_F_02225("F-02225"),
	PATIENT_STATE_109054("109054"),
	DIFFERENCE_IN_EJECTION_FRACTION_122768("122768"),
	DIFFERENCE_IN_ED_LV_VOLUME_122769("122769"),
	INDEX_121425("121425"),
	BSA_8277_6("8277-6");

	private String value;

	EnumCV_ComparisonToPriorStressExam(String strValue)
	{
		value = strValue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
